Skip to main content
POST

Authorizations

Authorization
string
header
required

Access token for the git provider (GitHub PAT, GitLab PAT, Bitbucket App Password, Azure DevOps PAT). Pass via Authorization: Bearer <token> header.

Body

application/json
platform
enum<string>
required

Version control platform

Available options:
github,
gitlab,
bitbucket,
azure_devops,
azuredevops
Example:

"github"

org
string
required

Organization, workspace, or group name on the platform

Example:

"my-org"

team_id
string<uuid>
required
user_login
string
required

Login/email of the member

Example:

"jane@example.com"

github_base_url
string
default:https://github.com

Base URL for GitHub (use for GitHub Enterprise Server)

Example:

"https://github.com"

gitlab_base_url
string
default:https://gitlab.com

Base URL for GitLab (use for self-hosted GitLab instances)

Example:

"https://gitlab.com"

azure_devops_base_url
string
default:https://dev.azure.com

Base URL for Azure DevOps (use for Azure DevOps Server)

Example:

"https://dev.azure.com"

bitbucket_base_url
string
default:https://api.bitbucket.org/2.0

Base URL for Bitbucket (use for Bitbucket Data Center/Server)

Example:

"https://api.bitbucket.org/2.0"

user_name
string

Display name (for add/update)

Example:

"Jane Doe"

role
enum<string>
default:member

Member role (for add/update)

Available options:
member,
lead

Response

Member updated

status
string
Example:

"success"

message
string
Example:

"Member updated successfully"

team
object

A developer team with members, metadata, and repository assignments